<!-- <form [formGroup] (ngSubmit)="onCreateClinic()"> -->
  <form [formGroup]="clinicForm" (ngSubmit)="onCreateClinic()">
  <h1 mat-dialog-title>Tilføj Klinik</h1>

  <div mat-dialog-content>

    <div>
      <mat-form-field appearance="outline">
        <mat-label>Klinik Navn</mat-label>
        <input matInput type="text" formControlName="clinicName" required name="clinicName" id="clinicName" >
      </mat-form-field>
    </div>

    <mat-form-field  class="formFields">
      <mat-label>Akutnummer</mat-label>
      <input matInput type="number" formControlName="acuteNumber" required name="acuteNumber" id="acuteNumber">
    </mat-form-field>
    
    <mat-form-field  class="formFields">
      <mat-label>Telefonnummer</mat-label>
      <input matInput type="number" formControlName="phoneNumber" required name="phoneNumber" id="phoneNumber">
    </mat-form-field>

    <mat-form-field  class="formFields">
      <mat-label>Fax</mat-label>
      <input matInput type="number" formControlName="fax" required name="fax" id="fax">
    </mat-form-field>
    </div>

    <div mat-dialog-actions>
        <button mat-button (click)="onCancelClick()" class="formCloseButton" >Annuller</button>
      <button mat-button cdkFocusInitial color="primary" type="submit">Tilføj</button>
    </div>
</form>


